#!/bin/sh

# Copyright (C) 2019-2023 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# Hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with hurd-cross.  If not, see <http://www.gnu.org/licenses/>.

. ./environment-variables.sh

if [ "$SYSTEM" = "/" ]; then
  exit 1
fi

echo ""
print_info "Cleaning directory SYSTEM=$SYSTEM..."

bash ./download-clean.sh
bash ./bootstrap-clean.sh
bash ./compile-clean.sh

print_info "Removing directories:"
print_info "$SRC"
print_info "$STAMPS"
print_info "$LOGS"

cd "$SYSTEM"
rm -rf $SRC $STAMPS $LOGS

print_info "Removing file $SYSTEM/$TARGET_IMAGE"
rm -f $TARGET_IMAGE

cd ..
print_info "Removing directory SYSTEM=$SYSTEM"
rm -rf $SYSTEM

# Already done in bootstrap-clean.sh
#print_info "Removing directory CROSS_ROOT=$CROSS_ROOT"
#su -c "rm -rf $CROSS_ROOT"

# Already done in compile-clean.sh
#print_info "Removing directory TARGET_ROOT=$TARGET_ROOT"
#su -c "rm -rf $TARGET_ROOT"

