#!/bin/bash

# Copyright (C) 2019-2023 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# Hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with hurd-cross.  If not, see <http://www.gnu.org/licenses/>.

echo ""
echo "File: common-funcs.sh"

print_info ()
{
   echo "* $*"
}

apply_patch() {
   print_info "Applying patch $1 (level: $2)"
   patch -p$2 < $1 || exit 1
}

unapply_patch() {
   print_info "Unapplying patch $1 (level: $2)"
   patch -p$2 -R < $1 || exit 1
}

